%define name acidlaunch
%define version 0.5
%define release 4mdk

Summary:	Light-weight applauncher with a simple XML-based configuration syntax.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://linuxgamers.net/infoPage.php?page=%{name}
Source0:        http://linuxgamers.net/download/%{name}-%{version}.tar.bz2
Source1:	%{name}-fluxbox-config.xml.bz2
License:	LGPL
Group:		Toys
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildRequires:  libxml2-devel >= 2.4 gdk-pixbuf-devel
Requires:	libxml2       >= 2.4 gdk-pixbuf

%description

acidlaunch is a small, light-weight app launcher with a simple XML-based
configuration syntax. It's written in C++ using gtk, gdk-pixbuf and
libxml2. It's great as a small, simple app launcher, and it can
optionally run in a withdrawn mode for embedding in the blackbox slit.


%prep
%setup -q

%build
%configure 	--disable-xmltest

make CFLAGS="%{optflags}" datadir=%{_datadir}

# config.xml  default.png


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# make install is broken
install -D -m0644 prefs/config.xml  $RPM_BUILD_ROOT/%{_datadir}/%{name}/config.xml
install -D -m0644 prefs/default.png $RPM_BUILD_ROOT/%{_datadir}/%{name}/default.png
install -D -m0644 %{SOURCE1}        $RPM_BUILD_ROOT/%{_datadir}/%{name}/fluxbox-config.xml

rm -f $RPM_BUILD_ROOT/%{_datadir}/{config.xml,default.png}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/acidlaunch
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/*
%dir %{_datadir}/%{name}


%changelog
* Fri May 23 2003 Han Boetes <han@linux-mandrake.com> 0.5-4mdk
- Added dir entry to make Olivier's bot Happy
- Some minor cleanups

* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 0.5-3mdk
- Rebuild because of new rpm macros and new glibc

* Thu Nov 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5-2mdk
- fix installes but unpackaged files

* Wed Sep 11 2002 Han Boetes <han@linux-mandrake.com> 0.5-1mdk
- Initial release for mandrake.
- Trying to make universal rpm  so  please  don't  add  %make.


